<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="css/style.css">
    <title>Document</title>
</head>

<body>

    <h1>display: block</h1>
    <div class="container">
        <div class="item">1</div>
        <div class="item">2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>display: flex</h1>
    <div class="container flex">
        <!--Para que os elementos se tornem flex, a propriedade deve ser aplicada ao conteiner-->
        <div class="item">1</div>
        <div class="item">2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>display: flex</h1>
    <div class="container flex">
        <!--por padrão os elementos continuam ficando lado a lado, mesmo após ter chegado ao limire do container-->
        <div class="item">Teste 1</div>
        <div class="item">Teste 2</div>
        <div class="item">Teste 3</div>
        <div class="item">Teste 4</div>
        <div class="item">Teste 5</div>
        <div class="item">Teste 6</div>
        <div class="item">Teste 7</div>
        <div class="item">Teste 8</div>
        <div class="item">Teste 9</div>
        <div class="item">Teste 10</div>
        <div class="item">Teste 11</div>
    </div>

    <h1>display: flex</h1>
    <div class="container flex flex-wrap">
        <!--ja com a propriedade de flex-wrap, faz com que os elementos se quebem para uma nova linha, quando chegam no limite do container-->
        <div class="item">Teste 1</div>
        <div class="item">Teste 2</div>
        <div class="item">Teste 3</div>
        <div class="item">Teste 4</div>
        <div class="item">Teste 5</div>
        <div class="item">Teste 6</div>
        <div class="item">Teste 7</div>
        <div class="item">Teste 8</div>
        <div class="item">Teste 9</div>
        <div class="item">Teste 10</div>
        <div class="item">Teste 11</div>
    </div>

    <h1>display: flex</h1>
    <div class="container flex flex-wrap">
        <!--o conteudo se ajustara com o tamnaho do container-->
        <div class="item item-flex">Teste 1</div>
        <div class="item item-flex">Teste 2</div>
        <div class="item item-flex">Teste 3</div>
    </div>
</body>

</html>